/**
 * 系统日志
 */
$(function(){

    AppLog = {
        batchDelete : function(){
            var oids = $table.getColumn();
            if(!oids)return MsgBox.warnDelete();
            App.MsgBox.confirmDelete(function(){
                App.Ajax.request({
                    url		: Config.ROOT+'/sys/log/batchDelete',
                    params	: {
                        'oids': oids
                    },
                    success: function(resp){
                        $table.reload(1);
                    }
                });
            });
        }
    };

    var $table = new App.Table({
        url: Config.ROOT + '/sys/log/list',
        search: true,
        searchParamName: 'operatorName',
        searchPlaceholder: '登录名',
        columns	:[
            {checkbox: true},
            {field:'operatorAccount', title:'登录名'},
            {field:'operatorName', title:'姓名'},
            {field:'operationDesc', title:'类型'},
            {field:'contents', title:'内容'},
            {field:'ipAddress', title:'IP'},
            {field:'operationDate', title:'时间'}
        ]
    });
});